/* var wpbfp = '${settings.wp_protect}' == 'true' ? "THROTTLE" : "OFF";

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
}

resp.nodes.push({
    nodeType: "llsmp",
    engine: "${settings.php_engine:php8.3}",
    count: 1,
    cloudlets: "${settings.cloudlets:16}",
    diskLimit: "${settings.diskspace:[quota.disk.limitation]}",
    nodeGroup: "cp",
    skipNodeEmails: "true",
    displayName: "AppServer",
    env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: "${settings.waf}",
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
    }
  })

return resp; */

var wpbfp = '${settings.wp_protect}' == 'true' ? "THROTTLE" : "OFF";

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
}

// Existing Application Server Node
resp.nodes.push({
  nodeType: "llsmp",
  engine: "${settings.php_engine:php8.3}",
  count: 1,
  cloudlets: "${settings.cloudlets:16}",
  diskLimit: "${settings.diskspace:[quota.disk.limitation]}",
  nodeGroup: "cp",
  skipNodeEmails: "true",
  displayName: "AppServer",
  env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: "${settings.waf}",
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
  }
})

// Adding the Storage Node
resp.nodes.push({
  nodeType: "storage", // Node type for storage services
  count: 1,
  cloudlets: "${settings.storage_cloudlets:8}",
  diskLimit: "${settings.storage_diskspace:[quota.disk.limitation]}",
  nodeGroup: "storage",
  skipNodeEmails: "true",
  displayName: "StorageNode",
  env: {
    // Add any necessary environment variables here
  }
})

return resp;
